> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaanivoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume Campaign

> Resume a paused campaign

## Resume Campaign

Resume a paused campaign and return it to `active` status.

***

## Path Parameters

**campaign\_id** `string` *required*

UUID of the campaign to resume

***

## Example Request

```bash theme={null}
curl -X POST "https://api.vaanivoice.ai/api/campaigns/abc-123-xyz/resume" \
  -H "X-API-Key: vaani_abc123..."
```

***

## Response `200 OK`

```json theme={null}
{
  "id": "23231adb-0d59-4af5-995f-fd0aab9aea5e",
  "client_id": "e3e5b338-937e-4672-a700-1a1f5817a385",
  "agent_id": "44723264-61b6-453b-94ea-3e51d13beb12",
  "campaign_name": "campaing api test",
  "excel_blob_url": "https://vaani-uat-storage.s3.ap-south-1.amazonaws.com/campaigns/e3e5b338-937e-4672-a700-1a1f5817a385/7dcaad3b-ea56-4a94-bf4b-43d142497186_Untitled spreadsheet - Sheet1 (5).csv",
  "results_excel_blob_url": "https://vaani-uat-storage.s3.ap-south-1.amazonaws.com/campaigns/e3e5b338-937e-4672-a700-1a1f5817a385/86aae727-ac0c-4dbd-84f9-889552e6ea98/campaing_api_test_2026-09-17.csv",
  "last_result_generated_at": "2026-09-17T07:28:09.422181",
  "campaign_status": "active",
  "contact_source_type": "csv",
  "gsheet_config": null,
  "days_of_week": "thursday",
  "post_processing_status": "completed",
  "time_range_from": "05:30:00Z",
  "time_range_to": "14:29:00Z",
  "max_retries": 1,
  "retry_after_mins": 5,
  "call_concurrency": 1,
  "start_date": "2026-09-17T05:30:00",
  "end_date": "2026-09-18T14:29:00",
  "created_at": "2026-09-17T07:25:25.168627",
  "updated_at": "2026-09-17T07:28:06.325874",
  "notification_emails": null,
  "webhook_url": null,
  "per_call_webhook_url": null,
  "webhook_id": null,
  "perform_dnd_check": false
}
```

***

## Use Cases

* Resume after manual pause
* Resume after editing campaign configuration
* Resume after temporary business hours closure
* Resume after resolving an issue

> [!NOTE]
>
> After updating a campaign via `PUT /campaigns/{id}`, you must call `/resume` to restart it.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.